import { IconProps } from "@guildion/ui";
import { compare } from "@/shared/modules/ObjectCompare";
import React from "react";

const SyncVisionIcon: React.FC<IconProps> = ({ width, height, color }) => {
    return (
        <svg viewBox={`0 0 250 250`} width={width} height={height}>
            <path
                fill={color}
                d="M235,0H229.2a12.5,12.5,0,0,1-12.5,12.5h0A12.5,12.5,0,0,1,204.2,0H44.26a12.5,12.5,0,0,1-12.5,12.5h0A12.5,12.5,0,0,1,19.26,0H15A15,15,0,0,0,0,15V235a15,15,0,0,0,15,15h4.27a12.5,12.5,0,0,1,12.5-12.5h0A12.5,12.5,0,0,1,44.26,250H204.2a12.5,12.5,0,0,1,12.5-12.5h0A12.5,12.5,0,0,1,229.2,250H235a15,15,0,0,0,15-15V15A15,15,0,0,0,235,0ZM31.76,212.5h0a12.5,12.5,0,1,1,0-25h0a12.5,12.5,0,0,1,0,25Zm0-50h0a12.5,12.5,0,0,1,0-25h0a12.5,12.5,0,0,1,0,25Zm0-50h0a12.5,12.5,0,0,1,0-25h0a12.5,12.5,0,0,1,0,25Zm0-50h0a12.5,12.5,0,0,1,0-25h0a12.5,12.5,0,0,1,0,25Zm137.42,66.84-67.35,38.88a5,5,0,0,1-7.51-4.33V86.11a5,5,0,0,1,7.51-4.33l67.35,38.88A5,5,0,0,1,169.18,129.34ZM216.7,212.5h0a12.5,12.5,0,0,1,0-25h0a12.5,12.5,0,0,1,0,25Zm0-50h0a12.5,12.5,0,0,1,0-25h0a12.5,12.5,0,0,1,0,25Zm0-50h0a12.5,12.5,0,0,1,0-25h0a12.5,12.5,0,0,1,0,25Zm0-50h0a12.5,12.5,0,0,1,0-25h0a12.5,12.5,0,0,1,0,25Z"
            />
        </svg>
    );
};

export default React.memo(SyncVisionIcon, compare);